import { configDefaults } from '@genesislcap/foundation-testing/e2e';
import type { PlaywrightTestConfig } from '@playwright/test';

/**
 * If this was an app level config, we might import each fixture from the mfs we're using to create a union
 */
import type { TestFixture as LoginFixture } from './test/e2e';

type Fixtures = LoginFixture & {}; // < and several others if this was app level

const config: PlaywrightTestConfig<Fixtures> = {
  ...configDefaults,
  webServer: {
    command: 'npm run dev:no-open',
    url: 'http://localhost:5030/',
    timeout: 120000,
    reuseExistingServer: !process.env.CI,
  },
  use: {
    baseURL: 'http://localhost:5030/',
  },
  // reporter: [['html', { open: 'never' }]],
};

export default config;
